Bug 154 - skype, p2p VoIP application
Summary: skype, p2p VoIP application
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: New RPM package request (show other bugs)
Version: Cauldron
Hardware: i586 Linux
Priority: Normal enhancement
Target Milestone: ---
Assignee: Sander Lepik
QA Contact:
URL:
Whiteboard:
Keywords:
: 354 1167 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-02-22 20:02 CET by Constantin Vasenin
Modified: 2012-05-11 11:48 CEST (History)
25 users (show)

See Also:
Source RPM: skype
CVE:
Status comment:


Attachments
This is the Skype for x86_64 script (3.59 KB, application/x-shellscript)
2011-05-08 03:16 CEST, Kristoffer Grundström
Details
Patch for script attached to prev post. (1.97 KB, text/plain)
2011-05-08 23:31 CEST, Barry Jackson
Details
skype-installer.spec (2.13 KB, text/x-rpm-spec)
2011-05-10 16:28 CEST, y mun
Details
Proposed spec file and sample .noarch.rpm (10.00 KB, application/octet-stream)
2011-05-12 01:05 CEST, Barry Jackson
Details
Spec file and skype-installer-0.1-3.mga1.noarch.rpm (10.00 KB, application/octet-stream)
2011-05-12 15:12 CEST, Barry Jackson
Details
Spec file, noarch.rpm and src.rpm (tar.gz) (20.00 KB, application/octet-stream)
2011-05-22 14:11 CEST, Barry Jackson
Details
spec file, noarch.rpm and src.rpm (tar.gz) (20.00 KB, application/octet-stream)
2011-05-23 02:14 CEST, Barry Jackson
Details
Corrected tar.gz the original was .tar with incorrect extension. (3.37 KB, application/octet-stream)
2011-06-04 02:02 CEST, Barry Jackson
Details
tar.gz with spec, src.rpm and noarch rpm (6.09 KB, application/octet-stream)
2011-06-05 01:28 CEST, Barry Jackson
Details
get-skype-2.2.0.35 (noarch.rpm,src.rpm and spec) (6.77 KB, application/octet-stream)
2011-06-05 21:31 CEST, Barry Jackson
Details
Updated version (7.35 KB, application/gzip)
2011-06-06 22:12 CEST, Barry Jackson
Details
spec, rpm and src.rpm (7.30 KB, application/octet-stream)
2011-06-07 22:18 CEST, Barry Jackson
Details
get-skype rpm, src.rpm and spec (tar.gz) (7.14 KB, application/octet-stream)
2011-06-10 01:37 CEST, Barry Jackson
Details
get-skype-2.2.0.35-6.mga1.noarch.rpm, src.rpm and spec (tar.gz) (8.11 KB, application/octet-stream)
2011-06-11 18:26 CEST, Barry Jackson
Details
get-skype-2.2.0.35-7.mga1.noarch.rpm, src.rpm and spec (tar.gz) (8.26 KB, application/octet-stream)
2011-06-12 12:57 CEST, Barry Jackson
Details
get-skype-2.2.0.35-10.mga1.i586.rpm, src.rpm and spec (tar.gz) (9.14 KB, application/octet-stream)
2011-06-15 00:22 CEST, Barry Jackson
Details
New version with changed checksum (9.31 KB, application/octet-stream)
2011-06-17 20:50 CEST, Barry Jackson
Details
New verision with modified skype.desktop (10.00 KB, application/octet-stream)
2011-06-21 13:16 CEST, Barry Jackson
Details
latest version spec,noarch.rpm and src.rpm (in tar.gz) (10.44 KB, application/octet-stream)
2011-06-22 18:12 CEST, Barry Jackson
Details
Final for release! (10.32 KB, application/octet-stream)
2011-06-22 23:21 CEST, Barry Jackson
Details

Description Constantin Vasenin 2011-02-22 20:02:18 CET
Skype is absent in out of box and it rather difficult to install it neither from rpm-packages (couldn't be found) nor from www.skype.com due to luck of dependencies (for example qt4-x11)
Comment 1 James Kerr 2011-02-22 21:08:59 CET
I believe that the Skype EULA prohibits re-distribution, unless explicit permission is obtained from Skype:

http://www.skype.com/intl/en-us/legal/eula/#license_restr
Comment 2 Ahmad Samir 2011-02-22 21:43:45 CET
Can't be done at the moment, their license doesn't allow it AFAIK.

About the dependencies, true the Fedora rpm requires qt4-x11, we don't have
this Provides in Mageia... however there's nothing we can do as this is a 3rd
party rpm.

You can use the static or dynamic tarballs either one should work.

ennael is planning to discuss this with them (to add it in nonfree repo), but
nothing is confirmed yet.

Assignee: bugsquad => ennael1

Sandro Cazzaniga 2011-02-28 07:05:33 CET

Status: NEW => ASSIGNED
CC: (none) => cazzaniga.sandro

Comment 3 Ahmad Samir 2011-02-28 19:18:46 CET
@Sandro: a bug report status is changed to ASSIGNED when a dev/maintainer is actively working on it, are you?
Comment 4 Sandro Cazzaniga 2011-02-28 19:24:06 CET
I've sent a mail to one of the dev of skype project... I'm waiting for an answer.
Comment 5 Anne Nicolas 2011-02-28 21:05:34 CET
That would be nice to avoid sending multiple demands without discussion before
Comment 6 Manuel Hiebel 2011-03-12 23:45:15 CET
*** Bug 354 has been marked as a duplicate of this bug. ***

CC: (none) => kristoffer.grundstrom1983

Comment 7 Anne Nicolas 2011-04-08 16:21:34 CEST
Working on alternative in case of (aka downloading tarball during installation)
Comment 8 Thomas Spuhler 2011-04-10 02:16:40 CEST
I made an rpm for myself, but as said before, there is a license issue not allowing to distribute it.

CC: (none) => thomas

Comment 9 Remco Rijnders 2011-05-06 07:57:35 CEST
*** Bug 1167 has been marked as a duplicate of this bug. ***

CC: (none) => inster.css

Comment 10 Ahmad Samir 2011-05-06 18:08:42 CEST
*** Bug 1167 has been marked as a duplicate of this bug. ***
Comment 11 Kristoffer Grundström 2011-05-08 03:16:11 CEST
I rebuilt a sh-script for Skype when it comes to x86_64, but it's not working properly atm.

Perhaps someone can figure out how to get passed that the needed libs already are installed & continue with the installation.

I'll add the script here.
Comment 12 Kristoffer Grundström 2011-05-08 03:16:46 CEST
Created attachment 361 [details]
This is the Skype for x86_64 script
Comment 13 Barry Jackson 2011-05-08 23:31:34 CEST
Created attachment 369 [details]
Patch for script attached to prev post.

(In reply to comment #12)
> Created attachment 361 [details]
> This is the Skype for x86_64 script

Attached patch for the script - it works now (as far as doing what it was designed to do), but I suspect that it simply installs a 32 bit application and some 64 bit libs that it's not using. I may be wrong ;-)
Comment 14 Pierre Bonneau 2011-05-10 14:20:26 CEST
Add me to the mailing list for this issue.

CC: (none) => pmithrandir

Comment 16 Kristoffer Grundström 2011-05-10 16:03:53 CEST
(In reply to comment #15)
> Well, in the light of
> http://blogs.skype.com/en/2011/05/microsoft_will_acquire_skype.html?cm_mmc=PXFB|0700_B6-_-acquisition-20110510
> ...

What does this mean for Linux-users?
Comment 17 y mun 2011-05-10 16:27:22 CEST
In waiting for news from Microsoft, about this acquisition :


Skype licence don't allow distribution of Skype binary.

We could simply use a neutral package : download an empty rpm, it's provide Skype download from Skype website. Finally user must agree Skype licence when launching skype the first time.

-> dont hurt Skype licence (no distribution)
-> explicit user's acceptance for licence

See last attachment for a skype-installer.spec
* use of dynamic skype binary
* manage of dependancies (dynamic beta : 32 for all)
* install in /opt (nowhere else for blob)
* could be use as any name-file (version) provide by Skype

This is not perfect, off course. But a simple, and legal, way and for all.

CC: (none) => muny

Comment 18 y mun 2011-05-10 16:28:07 CEST
Created attachment 378 [details]
skype-installer.spec
Comment 19 Barry Jackson 2011-05-10 16:50:07 CEST
That looks like an excellent solution - except for the Mandriva references in the spec ;-)

I think it should also include libv4l-wrappers in the requires and launch Skype using :-

LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so /opt/skype/skype

...as none of my webcams will work otherwise.

Barry

CC: (none) => zen25000

Comment 20 y mun 2011-05-10 19:29:25 CEST
Mandriva reference are because the XDG names doesn't seems migrated actually (as i see on differents recents rpm). Need confirmation about this. I've verified with two packages : each one use X-MandrivaLinux still today. Maybe i'vent luck ?

Thanks for LD_PRELOAD, i hesitated to put it (not sure about : my cam works well immediatly without) -> Your opinion reinforces the idea.
Comment 21 Barry Jackson 2011-05-10 20:10:19 CEST
(In reply to comment #20)
I just built this and the download - install was fine, however the desktop icon did not appear in the desktop folder and the menu entry has no icon.
It did not run from menu or terminal, until I ran the following as root.

echo "LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so /opt/skype/skype --resources=/bin/skype/" > /usr/local/bin/skype && chmod +x

(Pinched in basic form from skype4mandriva)

Over the last couple of days I re-worked that other script which also works fine and adds the menu icon and also includes un-install option.
You may find it interesting http://pastebin.com/KnTpxA9t 

I wish I had more experience with spec files ;-)
Comment 22 y mun 2011-05-10 21:42:38 CEST
>"however the desktop icon did not appear in the desktop folder"
not standard. in all case, yes : not expected

>"the menu entry has no icon"
xdg-menu-update forceupdate seems to be a little bit slow lol
or maybe, simpliest, there is a better way.

>"You may find it interesting http://pastebin.com/KnTpxA9t"
already read, thanks.

>"I wish I had more experience with spec files"
Feel free to appropriate this one if you want merge your script into...

>"ld_preload"
seems to be an obvious (luck only on my netbook, therefore)

thanks for your feedbacks.
Comment 23 Barry Jackson 2011-05-12 01:05:50 CEST
Created attachment 392 [details]
Proposed spec file and sample .noarch.rpm

(In reply to comment #22)

> >"I wish I had more experience with spec files"
> Feel free to appropriate this one if you want merge your script into...

OK - thanks - I have done that - and learned a lot in the process!

Please find attached an rpm and spec file.

I have tested this rpm in x86_64 KDE, and i586 Gnome without problems (now :)

Please test and comment.
Comment 24 Pierre Bonneau 2011-05-12 10:43:05 CEST
I tested it on an ecafe, with KDE live beta 2.

Why do we have to install these dependancies : xterm and luit ?
Is there any way to use a X installer in place of the console ? The current version is easy to use, but not welly integrated in the install process. 
(I don't know if we can do something in the drak rpm interface, or with maybe QT ??)
Is there any other program with the same kind of install process ?

Otherwise, I have skype now. all set up, working nicely.
Well done  !!
Comment 25 y mun 2011-05-12 12:23:01 CEST
> xterm
i dont remember what is the default term in *all* install

> X installer in place of the console ?
yes, cdialog, zenity, kdialog, and more. a term seems the least invasive. if anyone could points potential layer xdg-dialog or xdg-term : welcome !

> Is there any other program with the same kind of install process ?
not sure, i have not checked how, i remember about google-apps-installer on old mandr{ake,iva} launch a xterm to downloading (and have a central mdv-server reference to bypass version pb of software) : but not provide installation of, nor "without central info" solution. -> I must verify. hum thanks.
Comment 26 y mun 2011-05-12 12:29:28 CEST
i love skinst & skun :-)
thanks for libv4l-wrappers too ;)
Comment 27 Pierre Bonneau 2011-05-12 13:02:43 CEST
I tested it on an ecafe, with KDE live beta 2.

Why do we have to install these dependancies : xterm and luit ?
Is there any way to use a X installer in place of the console ? The current version is easy to use, but not welly integrated in the install process. 
(I don't know if we can do something in the drak rpm interface, or with maybe QT ??)
Is there any other program with the same kind of install process ?

Otherwise, I have skype now. all set up, working nicely.
Well done  !!
Comment 28 Barry Jackson 2011-05-12 15:12:02 CEST
Created attachment 401 [details]
Spec file and skype-installer-0.1-3.mga1.noarch.rpm

(In reply to comment #26)
> i love skinst & skun :-)
> thanks for libv4l-wrappers too ;)

Update:
Well it's now skin and skun - it seemed unbalanced ;)
I also realized that we did not clean out any rpm based versions (or self installs) before installing, so now the root uninstall routine skroot2 is called at the start of the install (skroot1) and removes any installed skype rpm (but not the installer!). Much tidier.
Also there were some temp files left in /tmp after uninstall which I have fixed - (command in wrong place).
Also you may have noticed that the download is cached in /tmp/down - this is intended as a temporary measure during development, so that the download is not done again (unless /tmp is flushed).

It would be nice to have a fancy GUI, but I think the terminal is perfectly adequate.
I have no gtk/qt experience - I just about muddle along in bash, so anything GUI I can't help with :-(

Attachment 392 is obsolete: 0 => 1

Comment 29 Barry Jackson 2011-05-22 14:11:48 CEST
Created attachment 443 [details]
Spec file, noarch.rpm and src.rpm  (tar.gz)

This works for me - can it be added to Mageia repository some time?

Attachment 378 is obsolete: 0 => 1
Attachment 401 is obsolete: 0 => 1

Comment 30 D Morgan 2011-05-22 14:19:36 CEST
hi,

i just have a few remarks :

i would prefer to see it installs in /usr/  in stead of /usr/local/
why installed in sbin ? i think this should go on bin as users doesn't have sbin in their $PATH
The desktop file have a problem because we doesn't yet have X-MageiaLinux-  it needs to stay X-MandrivaLinux-

Why add bash functions that ask for password as rpm are installed as  root ?
Why do an "interactive" rpm ?

CC: (none) => dmorganec

Comment 31 Barry Jackson 2011-05-22 14:38:57 CEST
(In reply to comment #30)
> hi,
> 
> i just have a few remarks :
> 
> i would prefer to see it installs in /usr/  in stead of /usr/local/
> why installed in sbin ? i think this should go on bin as users doesn't have
> sbin in their $PATH

OK I will look into that. 

> The desktop file have a problem because we doesn't yet have X-MageiaLinux-  it
> needs to stay X-MandrivaLinux-

I see no need for a package generated desktop file as the menu entry can be dragged to the desktop to create one. Unless I misunderstand - learning here.

> Why add bash functions that ask for password as rpm are installed as  root ?
Because the installer is run as user, not by rpm.

> Why do an "interactive" rpm ?
Good point - you would suggest that installing the rpm should pull the file directly from Skype and install it? ...and I assume that rpm should uninstall Skype - how does that fit with licensing I wonder, are there any other examples of this approach? 

Interesting, I will look at that idea. More learning  ;-)
Comment 32 Barry Jackson 2011-05-23 02:14:24 CEST
Created attachment 448 [details]
spec file, noarch.rpm and src.rpm  (tar.gz)

All points addressed (I think) - I would appreciate any comments, as I have done very little packaging.
Installing the package downloads from Skype, installs and cleans tmp.
Uninstalling package removes Skype completely.

Works fine here in x86_64.

It is a much simpler approach ;-)

Attachment 361 is obsolete: 0 => 1
Attachment 369 is obsolete: 0 => 1
Attachment 443 is obsolete: 0 => 1

Comment 33 y mun 2011-05-23 10:22:14 CEST
@ Barry :

Hello,
This spec also use the -dynamic- dl feature, good. Same idea to manipulate any version

Questions :

Why use direct download
?

And why it using
cp -axf 
in %post
???
-> And not %files ? 
(%_datadir %defattr & %attr) rpm features ?

Last question :
Why erase changelog ?

Thanks :)
Comment 34 Kristoffer Grundström 2011-05-23 10:28:58 CEST
Can't open this archive using Ark or Unrar.
Comment 35 Pierre Bonneau 2011-05-23 10:33:16 CEST
kde can open it on my side.

Which one do we have to use ?
src or no arch ? mean nothing for me... I thought src was for source(something we don't have for skype)
Comment 36 Barry Jackson 2011-05-23 15:04:01 CEST
(In reply to comment #33)
> @ Barry :
> 
> Hello,
> This spec also use the -dynamic- dl feature, good. Same idea to manipulate any
> version
> 
> Questions :
> 
> Why use direct download
> ?
Well - why not? As pointed out by D Morgan above. I don't see any reason not to do as the Skype files are not being distributed directly.
> 
> And why it using
> cp -axf 
> in %post
> ???
I don't know. That came from the original script - I could not really see a reason why /opt would be on a different file system and what harm that would do, but someone did, so I left it as it was. Maybe needs changing.
> -> And not %files ?
Well at rpmbuild time we don't have the files - so they can't be in the build tree, and I can't figure out how to use %files in this case. If it can be done then that would be good and would allow rpm to handle the uninstall as well.
> (%_datadir %defattr & %attr) rpm features ?
Again, I'm learning with rpmbuild - will do more reading. 
> 
> Last question :
> Why erase changelog ?
It's a totally different approach with a new name (get-skype) as opposed to the interactive one (skype-installer) so rather than confuse the two I thought it best to start fresh and leave it blank. 
> 
> Thanks :)

@Pierre The src.rpm holds the .spec file in this case, and is only needed to build the package.
To install Skype (and test this rpm) you can install get-skype-0.1-1.mga1.noarch.rpm by clicking on the file and following the prompts.
Comment 37 Pierre Bonneau 2011-05-23 15:19:36 CEST
Ok, installation worked fine.
There is only a moment where I thought it was buggy, during the end of the install process, nothing happen.

Would be nice to see the download happen from skype website.
I have a fast connection, but I think people with slow bandwitch would not understand what they wait for 15 minutes.
Comment 38 Barry Jackson 2011-05-23 15:49:02 CEST
(In reply to comment #37)
> Ok, installation worked fine.
Good.

> There is only a moment where I thought it was buggy, during the end of the
> install process, nothing happen.
> 
> Would be nice to see the download happen from skype website.
> I have a fast connection, but I think people with slow bandwitch would not
> understand what they wait for 15 minutes.

Yes - I already thought about that. The interactive version did show the download progress in a terminal window, but for that to work in different DE's a terminal emulator had to be added to the dependencies.
I can't think of a way to give any sort of progress indication in this non-interactive version.
Maybe someone else can. 
It's the cross-desktop issue that is the stumbling block. (I just use a net monitor to see that the download is running).
Markus Ueberall 2011-06-03 00:37:43 CEST

CC: (none) => ueberall

Comment 39 Stew Benedict 2011-06-03 19:22:40 CEST
A couple of critiques:

Would be nice if the package actually registered what it installs in the rpm database.
It clobbers whatever is already in /opt/skype, which *might* actually be owned by something.
The xdg utilities are designed for what much of the cp'ing does (register menu entries, icons, etc)

CC: (none) => stewbintn

Comment 40 Stew Benedict 2011-06-03 19:26:51 CEST
Oh we also discovered on irc the tar.gz file is really a plain tar file, that's why some tools have problems with it.
Comment 41 Barry Jackson 2011-06-04 01:36:09 CEST
(In reply to comment #39 & #40)
> A couple of critiques:
> 
> Would be nice if the package actually registered what it installs in the rpm
> database.
> It clobbers whatever is already in /opt/skype, which *might* actually be owned
> by something.
> The xdg utilities are designed for what much of the cp'ing does (register menu
> entries, icons, etc)

Thanks Stew
I rarely use tar and obviously misused it to generate the attachment. I quickly checked it in Dolphin and it opened OK.

Regarding xdg-utils I will bow to your greater knowledge and ask for your help in improving this package. 
I realized that simply using a script in %post would be bypassing some rpm registration but hopefully compensated by taking care of the removal in %preun. 
I did explore the use of the %files macro but since the files are not present during rpmbuild I could not figure out a way to use it.
Any suggestions appreciated. 
I am learning ;)
Comment 42 Barry Jackson 2011-06-04 02:02:01 CEST
Created attachment 513 [details]
Corrected tar.gz the original was .tar with incorrect extension.

Attachment 448 is obsolete: 0 => 1

Comment 43 AL13N 2011-06-04 10:56:19 CEST
actually, wouldn't it be better if we did this the way Google Earth installs?

a menu item to install skype? then you click on the menu item, do a kdesu call (or policykit or whatever) to run the real install as root?

it's a level of indirection, but then, people know why they are waiting for it :-). especially if we run some kind of downloader with a progress bar... Is  there some kind of exec like that?

CC: (none) => maarten.vanraes

Comment 44 Barry Jackson 2011-06-04 11:22:20 CEST
(In reply to comment #43)
> actually, wouldn't it be better if we did this the way Google Earth installs?
I will look at that.
> a menu item to install skype? then you click on the menu item, do a kdesu call
> (or policykit or whatever) to run the real install as root?
> 
Well that is what we had in the attachment in #29 in the skype-downloader package.
I like that one as it is always available in the menu to install or uninstall Skype. Try it see what you think.
> it's a level of indirection, but then, people know why they are waiting for it
> :-). especially if we run some kind of downloader with a progress bar... Is 
> there some kind of exec like that?
Possibly, but for different desktops? skype-downloader installs xterm (which has another dep) in order to interact with the user (password for root, install /uninstall etc.) and displays aria2 output giving a progress indication, however it was deemed over complicated, so I came up with get-skype as a much simpler solution.
All ideas welcome ;)
Comment 45 Barry Jackson 2011-06-05 01:28:33 CEST
Created attachment 516 [details]
tar.gz with spec, src.rpm and noarch rpm

(In reply to comment #39)
> A couple of critiques:
> 
> Would be nice if the package actually registered what it installs in the rpm
> database.
Now it does
> It clobbers whatever is already in /opt/skype, which *might* actually be owned
> by something.
Now it does not
> The xdg utilities are designed for what much of the cp'ing does (register menu
> entries, icons, etc)
Still pondering this but is it really needed?
Comment 46 AL13N 2011-06-05 08:41:15 CEST
(In reply to comment #44)
> (In reply to comment #43)
> > actually, wouldn't it be better if we did this the way Google Earth installs?
> I will look at that.
> > a menu item to install skype? then you click on the menu item, do a kdesu call
> > (or policykit or whatever) to run the real install as root?
> > 
> Well that is what we had in the attachment in #29 in the skype-downloader
> package.
> I like that one as it is always available in the menu to install or uninstall
> Skype. Try it see what you think.
> > it's a level of indirection, but then, people know why they are waiting for it
> > :-). especially if we run some kind of downloader with a progress bar... Is 
> > there some kind of exec like that?
> Possibly, but for different desktops? skype-downloader installs xterm (which
> has another dep) in order to interact with the user (password for root, install
> /uninstall etc.) and displays aria2 output giving a progress indication,
> however it was deemed over complicated, so I came up with get-skype as a much
> simpler solution.
> All ideas welcome ;)

that's not really what i meant, i meant that this 'skype-downloader' package to be rewritten in a shell script, but, you know how in KDE or Gnome if you copy a file, that the notifier does a progress?, we should somehow be using that, and not install xterm or something...
Comment 47 Pierre Bonneau 2011-06-05 11:43:02 CEST
Did you check trhe flash player plugin rpm ?
It seems to do exactly what we want for skype : 

flash-player-plugin - Flash Player plugin for browsersâ                                                         
Adobe Flash Player plugin for browsers.

NOTE: This package does not contain the Flash Player itself. The software will be automatically downloaded from Adobe during package installation. Alternatively you can use the command "download-flash-player-plugin" manually.
Comment 48 Pierre Bonneau 2011-06-05 12:43:09 CEST
this one didn't works : 
tar.gz with spec, src.rpm and noarch rpm (6.09 KB, application/octet-stream)
2011-06-05 01:28 CEST, Barry Jackson 

The corrected tar.gz is still perfect and easy to use.
Comment 49 Stew Benedict 2011-06-05 12:49:42 CEST
(In reply to comment #45)
> Created attachment 516 [details]
> tar.gz with spec, src.rpm and noarch rpm
> 
> (In reply to comment #39)
> > A couple of critiques:
> > 
> > Would be nice if the package actually registered what it installs in the rpm
> > database.
> Now it does
> > It clobbers whatever is already in /opt/skype, which *might* actually be owned
> > by something.
> Now it does not
> > The xdg utilities are designed for what much of the cp'ing does (register menu
> > entries, icons, etc)
> Still pondering this but is it really needed?

Nothing wrong with the cp per-say, I suppose I just tend to think about vendor neutral ways to do things due to my job (working on LSB). xdg-desktop-menu, xdg-desktop-icon are supposed to do "the right thing" regardless of the distro/desktop env. If the cp works for all the desktops of interest, go with it.
Comment 50 AL13N 2011-06-05 13:00:38 CEST
i'm interested in developing a mageia-no-distrib package, so that the skype package can require mageia-nodistrib and can install a .desktop file as menu item that executes: mageia-nodistrib-inst <name> <LICENSE> <url> <cmd>

the mageia-no-distrib then displays a DE-independant dialog containing the README (or license file), with at least OK and cancel (or Yes, no), then start downloading the url (with DE-independant progress notification) followed by executing the cmd

skype spec file would be similar to this:
Name:
Version:
Release:
...
Require: mageia-nodistrib

cat > mageia-nodistrib-skype-inst.desktop <<<EOF
name=install skype
exec=mageia-nodistrib-inst skype /usr/share/doc/skype/LICENSE http://download.skype.org/x86_64/skype-version.tar.gz install.sh
EOF

cat > mageia-nodistrib-skype-uninst.desktop <<<EOF
name=uninstall skype
exec=mageia-nodistrib-uninst skype uninstall.sh
EOF

%files
%doc LICENSE
mageia-nodistrib-skype-inst.desktop
mageia-nodistrib-skype-uninst.desktop


nice to have would then be automatic switching to inst and uninst in menu (which ones are visible)

mageia-nodistrib-inst <name> <url> <cmd> would do:
1. find /usr/share/doc/<name>/LICENSE
2. show it for ok/cancel
3. download <url> and show progress
4. untar <url> to /usr/share/<name> (or even /usr/local/share/<name>) (or /home/<user>/<name>)
5. cd /usr/share/<name>
6. execute <cmd>
7. hide mageia-nodistrib-<name>-inst.desktop
8. show mageia-nodistrib-<name>-uninst.desktop

mageia-nodistrib-uninst <name> <cmd> would do
1. show a confirmation dialog
2. cd /usr/share/<name>
3. execute <cmd>
4. rm /usr/share/<name>
5. hide mageia-nodistrib-<name>-uninst.desktop
6. show mageia-nodistrib-<name>-inst.desktop
7. show a done dialog

the spec file could also call uninst at %preun time

is this something that could be wanted/usefull for this (and possibly others?)
Marcello Anni 2011-06-05 16:06:55 CEST

CC: (none) => marcello.anni

Comment 51 Barry Jackson 2011-06-05 21:13:54 CEST
(In reply to comment #48)
> this one didn't works : 
> tar.gz with spec, src.rpm and noarch rpm (6.09 KB, application/octet-stream)
> 2011-06-05 01:28 CEST, Barry Jackson 

No it had a bug, in fact several - my fault working too late.
I have spent all day today working on this and now I feel it's fit to go ;)
> 
> The corrected tar.gz is still perfect and easy to use.

Well it worked, but it did not correctly register the files in the rpm database.
I will shortly attach here the new version which now carries the same version number as Skype - not sure if that will be acceptable, but it seems logical to me, since a new package will have to be made at each Skype version change.
Comment 52 Barry Jackson 2011-06-05 21:31:25 CEST
Created attachment 525 [details]
get-skype-2.2.0.35 (noarch.rpm,src.rpm and spec)

(In reply to comment #47)
> Did you check trhe flash player plugin rpm ?
> It seems to do exactly what we want for skype : 

Yes - that is how this new version works - although it's a bit more involved due to the large number of files in Skype.
If you feel like testing I would appreciate it :)

BTW Pierre you can delete the 22MB file ( ~/tmp/down ) on your machine - that was due to a typo - sorry!

Attachment 516 is obsolete: 0 => 1

Comment 53 Pierre Bonneau 2011-06-06 10:41:13 CEST
The new file works fine now.

In MCC, the get-skype rpm is not in "graphical application".
I think we should put it here, make more sence for me.

Also, in the description, you have : 
"This package does not conatain any"

It's "contain"

;)

Thank you very much for all this work, great for mageia...
Comment 54 claire robinson 2011-06-06 10:52:23 CEST
I'll second that, thankyou :)

CC: (none) => claire

Comment 55 Barry Jackson 2011-06-06 22:12:38 CEST
Created attachment 528 [details]
Updated version

After talking to ahmad on IRC I have made some changes.

Please review and consider for addition to Mageia.

Attachment 513 is obsolete: 0 => 1
Attachment 525 is obsolete: 0 => 1

Comment 56 Barry Jackson 2011-06-07 22:18:58 CEST
Created attachment 532 [details]
spec, rpm and src.rpm

Final version?  Who knows ;)

This has been tested in x86_64 KDE and i586 LXDE.
It updates fine after bumping the release and I have corrected all the issues with packaging policy that have been pointed out.

So - what now ?

Attachment 528 is obsolete: 0 => 1

Juan Luis Baptiste 2011-06-08 08:25:09 CEST

CC: (none) => juan.baptiste

Comment 57 Barry Jackson 2011-06-10 01:37:08 CEST
Created attachment 551 [details]
get-skype rpm, src.rpm and spec (tar.gz)

After further discussions on IRC in #mageia-mentoring / dev I have finalized the package and now feel that it is ready for submission for approval to be added to Mageia.
It's been tested on KDE i586, x86_64 and LXDE i586 without issues and updates correctly. It also uninstalls correctly without leaving any unwanted files or folders lying around.
It does leave the downloaded tar.gz in /tmp as this was felt to be useful for reinstalling and no detriment. This can be easily changed if required.

OK it's up to the powers that be ;)

Attachment 532 is obsolete: 0 => 1

Comment 58 Barry Jackson 2011-06-11 18:26:55 CEST
Created attachment 552 [details]
get-skype-2.2.0.35-6.mga1.noarch.rpm, src.rpm and spec (tar.gz)

Updated in response to comments by Anssi.
See changelog.

Attachment 551 is obsolete: 0 => 1

Comment 59 Barry Jackson 2011-06-12 12:57:39 CEST
Created attachment 554 [details]
get-skype-2.2.0.35-7.mga1.noarch.rpm, src.rpm and spec (tar.gz)

See changelog.

Attachment 552 is obsolete: 0 => 1

Comment 60 Pierre Bonneau 2011-06-12 13:05:54 CEST
Do you have any news on when it would be available on repo ?
It's a major use for more and more people and I think we should allow people to install it before they install skype in many different way...

Mageia team, any answer ?
Comment 61 Manuel Hiebel 2011-06-14 19:14:26 CEST
Hi, I don't use skype but thanks :) 

just one think on x86_64
[root@vosdook ~]# LC_ALL=C urpmi /home/manu/get-skype-2.2.0.35-7.mga1.noarch.rpm
A requested package cannot be installed:
get-skype-2.2.0.35-7.mga1.noarch (due to unsatisfied libqtdbus4)
Continue installation anyway? (Y/n) n

It's the package lib64qtdbus4, thanks ;)
Comment 62 AL13N 2011-06-14 21:31:37 CEST
for that specific requires, you should look at what 32bit and 64bit provides are incommon in the qtdbus4 library packages
Comment 63 Stew Benedict 2011-06-14 21:35:14 CEST
Is this "get-skype" truly downloading either 32 or 64bit builds depending on the host system? If it's only getting a 32bit build, then a 64bit host will need the 32bit support libs.
Comment 64 Manuel Hiebel 2011-06-14 22:21:44 CEST
well I see *noarch* that why, sorry

CC: (none) => manuel

Comment 65 AL13N 2011-06-14 22:27:40 CEST
if this is only 32bit, why not build only for 32bit? afaik this will be in core32 and stuff will get pulled in directly...
Comment 66 Barry Jackson 2011-06-15 00:22:11 CEST
Created attachment 569 [details]
get-skype-2.2.0.35-10.mga1.i586.rpm, src.rpm and spec (tar.gz)

Yes I agree - here is a i586 package with updated spec. etc. 
I have tested it in i586 and x86_64 systems.

Attachment 554 is obsolete: 0 => 1

Comment 67 greb greb 2011-06-17 17:34:44 CEST
urpmi get-skype-2.2.0.35-10.mga1.i586.rpm 


installation de get-skype-2.2.0.35-10.mga1.i586.rpm
Préparation ...                  #########################################################
--2011-06-17 17:35:12--  http://download.skype.com/linux/skype-2.2.0.35.tar.bz2
Résolution de download.skype.com (download.skype.com)... 213.146.168.244
Connexion vers download.skype.com (download.skype.com)|213.146.168.244|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 23079739 (22M) [application/octet-stream]
Sauvegarde en : «skype-2.2.0.35.tar.bz2»

100%[==================================================>] 23 079 739   983K/s   ds 27s     

2011-06-17 17:35:40 (830 KB/s) - «skype-2.2.0.35.tar.bz2» sauvegardé [23079739/23079739]

Error - download checksum failed
erreur: %pre(get-skype-2.2.0.35-10.mga1.i586) scriptlet failed, exit status 1
erreur:   install: échec du scriptlet %pre (2), on saute get-skype-2.2.0.35-10.mga1

CC: (none) => greb

Comment 68 Barry Jackson 2011-06-17 19:24:30 CEST
Well - the file - despite having the same version etc. has changed at the Skype server.
So get-skype is quite correct to reject it.

Just why this has happened is another matter ;)

Thanks for the report - under investigation.(In reply to comment #67)
> urpmi get-skype-2.2.0.35-10.mga1.i586.rpm 
> 
> 
> installation de get-skype-2.2.0.35-10.mga1.i586.rpm
> Préparation ...                 
> #########################################################
> --2011-06-17 17:35:12--  http://download.skype.com/linux/skype-2.2.0.35.tar.bz2
> Résolution de download.skype.com (download.skype.com)... 213.146.168.244
> Connexion vers download.skype.com
> (download.skype.com)|213.146.168.244|:80...connecté.
> requête HTTP transmise, en attente de la réponse...200 OK
> Longueur: 23079739 (22M) [application/octet-stream]
> Sauvegarde en : «skype-2.2.0.35.tar.bz2»
> 
> 100%[==================================================>] 23 079 739   983K/s  
> ds 27s     
> 
> 2011-06-17 17:35:40 (830 KB/s) - «skype-2.2.0.35.tar.bz2» sauvegardé
> [23079739/23079739]
> 
> Error - download checksum failed
> erreur: %pre(get-skype-2.2.0.35-10.mga1.i586) scriptlet failed, exit status 1
> erreur:   install: échec du scriptlet %pre (2), on saute
> get-skype-2.2.0.35-10.mga1

Well - the file - despite having the same version etc. has changed at the Skype server.
So get-skype is quite correct to reject it.

Just why this has happened is another matter ;)

Thanks for the report - under investigation.
Comment 69 Barry Jackson 2011-06-17 20:50:27 CEST
Created attachment 578 [details]
New version with changed checksum

I have queried the change in checksum with Skype - in the meantime here is a new version with the new checksum.
If they are going to do this on a regular basis there is little point in checking it.
We will wait to see what they say.  ;)

Attachment 569 is obsolete: 0 => 1

Comment 70 Barry Jackson 2011-06-20 15:14:45 CEST
Reply from Skype:-

##############
Hello Barry,

Thank you for your reply.


We can confirm that the checksum change is a one time issue. We can assure you that in the future you can safely check the checksum as you were doing successfully before.

Please accept our apologies for this incident and we hope that there was no major harm done.


Should you need assistance with any other issue, feel free to contact us again.
 
Best regards,

Dmitri

Skype Customer Service
##############

AFAICT this package is now fit for use, however with no sign of a mentor it will need someone else to finally check it and add it to Mageia.

Barry
Comment 71 Barry Jackson 2011-06-21 13:16:47 CEST
Created attachment 596 [details]
New verision with modified skype.desktop

As pointed out by sander85 on IRC, the .desktop file did not validate, so this has been replaced with a corrected one in the package.

Attachment 578 is obsolete: 0 => 1

Comment 72 Barry Jackson 2011-06-22 18:12:02 CEST
Created attachment 609 [details]
latest version spec,noarch.rpm and src.rpm (in tar.gz)

More tweaking with much help from sander85.
Please review.

Attachment 596 is obsolete: 0 => 1

Comment 73 Barry Jackson 2011-06-22 23:21:59 CEST
Created attachment 611 [details]
Final for release!

We finally made it!
This should be the release version.
Thanks to all who helped in getting it this far!

Barry

Attachment 609 is obsolete: 0 => 1

Comment 74 Sander Lepik 2011-06-23 00:12:04 CEST
Uploaded into cauldron. Will try to backport it if those repos will open up.

CC: (none) => sander.lepik
Assignee: ennael1 => sander.lepik

Comment 75 AL13N 2011-06-23 00:31:57 CEST
imho if this one is inside mdv2010.1 and it isn't in mga1, maybe it should be in updates instead of backports
Comment 76 Sander Lepik 2011-06-23 00:46:01 CEST
IMHO mdv2010.1 has no such package.
Comment 77 AL13N 2011-06-23 01:01:04 CEST
i'm pretty sure i had skype on my mdv2010.1 and i don't think i used upstream ones...

(i do have to admit it's a PWP)
Comment 78 James Kerr 2011-06-23 08:10:18 CEST
Mandriva has a distribution agreement with Skype that allows restricted distribution in the powerpack versions, but not in other versions.
Comment 79 Samuel Verschelde 2011-06-23 11:13:34 CEST
In the description, "Please be patient, this is a 23 MB download and may take some time." will very quickly be obsolete. You shouldn't give such precise numbers if you want the description to remain valid in the long run :)

CC: (none) => stormi

Comment 80 Barry Jackson 2011-06-23 12:57:38 CEST
(In reply to comment #79)
> In the description, "Please be patient, this is a 23 MB download and may take
> some time." will very quickly be obsolete. You shouldn't give such precise
> numbers if you want the description to remain valid in the long run :)

Thanks for your input.
I agree that in a "normal" package this would not be a good idea, however it was given a deal of thought.
In this case the progress bar in rpmdrake gives no indication that anything is happening during the download phase, so rather than just indicating that it may take some indeterminate time I thought it better to give a value from which the user could estimate the time from their connection speed etc.
Many people are using dial-up/slow connections and may decide not to install, or defer until later on knowing the size.
There will be many changes to the package if and when Skype change version, so changing the download size in the description will be just one more minor modification, it was never intended to remain valid in the long run. ;)
Comment 81 Barry Jackson 2011-06-23 13:01:19 CEST
(In reply to comment #78)
> Mandriva has a distribution agreement with Skype that allows restricted
> distribution in the powerpack versions, but not in other versions.

In this case then maybe we should make "get-skype" conflict with "skype" ?
Comment 82 Samuel Verschelde 2011-06-23 13:24:25 CEST
(In reply to comment #80)
> (In reply to comment #79)
> > In the description, "Please be patient, this is a 23 MB download and may take
> > some time." will very quickly be obsolete. You shouldn't give such precise
> > numbers if you want the description to remain valid in the long run :)
> 
> Thanks for your input.
> I agree that in a "normal" package this would not be a good idea, however it
> was given a deal of thought.
> In this case the progress bar in rpmdrake gives no indication that anything is
> happening during the download phase, so rather than just indicating that it may
> take some indeterminate time I thought it better to give a value from which the
> user could estimate the time from their connection speed etc.
> Many people are using dial-up/slow connections and may decide not to install,
> or defer until later on knowing the size.
> There will be many changes to the package if and when Skype change version, so
> changing the download size in the description will be just one more minor
> modification, it was never intended to remain valid in the long run. ;)

I see your concern, but still I would have given an order of magnitude rather than a precise value that will get outdated very soon. I can take the bet that in future updates the description change will be forgotten, as it often happens when people update packages.
Comment 83 Barry Jackson 2011-06-23 13:53:24 CEST
(In reply to comment #82)
> I can take the bet that
> in future updates the description change will be forgotten, as it often happens
> when people update packages.

I'll take your word - maybe a reminder in the spec ;)
Comment 84 AL13N 2011-06-23 18:57:10 CEST
well, still perhaps get-skype should obsolete skype from mdv, so that upgrades will work, even if you're upgrading from a PWP?
Comment 85 Barry Jackson 2011-06-24 15:47:21 CEST
(In reply to comment #84)
> well, still perhaps get-skype should obsolete skype from mdv, so that upgrades
> will work, even if you're upgrading from a PWP?

Yes - it has been patched ;)
Comment 86 isadora 2011-06-24 16:34:31 CEST
Just installed and tested. Had to install some extra libraries due to missing libasound.so.2
After that Skype started right away.

CC: (none) => isis2000

Comment 87 Stew Benedict 2011-06-24 17:01:45 CEST
Based on comment 86, package should have the needed requires then.

I know people are generally against the LSB packages, but I added biarch support explicitly for this type of situation (google earth was a previous problem)

lsb-lib would pull in the whole 32bit stack on both x86_64 and ia32, including Qt4 and libasound.
Comment 88 Barry Jackson 2011-06-24 18:57:31 CEST
(In reply to comment #86)
> Just installed and tested. Had to install some extra libraries due to missing
> libasound.so.2
> After that Skype started right away.

Thanks for the test and finding one that got away ;)
Comment 89 Florian Hubold 2011-06-24 19:35:34 CEST
Could you please verify, that you require all of these 32bit dependencies?
This is a definitive list for what is needed for skype, found out through long usage and troubleshooting, rare errors and looking at debug output. Just to be sure you didn't miss some of them:

libqtcore4
libqtdbus4
libqtgui4
libqtnetwork4
libqtsvg4
libqtxml4
libxv1
libxscrnsaver1
liblcms1
libmng1
libalsa-plugins-pulseaudio

CC: (none) => doktor5000

Comment 90 Barry Jackson 2011-06-24 20:55:07 CEST
(In reply to comment #89)
> Could you please verify, that you require all of these 32bit dependencies?

The only one missing from get-skype in your list is libalsa-plugins-pulseaudio, which does not provide libasound.so.2.
So maybe we need libalsa-plugins-pulseaudio and libalsa2.
Comment 91 Barry Jackson 2011-06-24 22:39:24 CEST
(In reply to comment #89)
> Could you please verify, that you require all of these 32bit dependencies?
> This is a definitive list for what is needed for skype, found out through long
> usage and troubleshooting, rare errors and looking at debug output. Just to be
> sure you didn't miss some of them:

I have tested without libalsa-plugins-pulseaudio installed, but with PA enabled and cannot produce any errors from Skype.

While I don't doubt your findings it would be good to be able to verify them.

Do you have any bug reference that will verify the requirement for libalsa-plugins-pulseaudio?
Comment 92 Barry Jackson 2011-06-25 17:56:09 CEST
I have it on good authority that libalsa-plugins-pulseaudio is no longer required for Skype as it has it's own PA support built in.
libalsa2 has been added to the requires.
Comment 93 Florian Hubold 2011-06-25 18:50:54 CEST
Sorry, was some copy&paste error. The packages for MDV 2010.2 read exactly like the list i posted, the only difference is libasound.so.2 at last position. Somehow this must have escaped from the next paragraph, which is for nspluginwrapper which needs libalsa-plugins-pulseaudio. Sorry for the hassle.

If you have all the other packages, then this looks good. Thank you for your efforts to make Mageia easier to use and more magic ;)
Comment 94 Manuel Hiebel 2011-07-01 22:55:43 CEST
Hy, can someone push get-skype into backport_testing ? (it's for help user, who install the both rpm of the tar :) )
Comment 95 Sander Lepik 2011-07-02 14:21:28 CEST
Added to backports, i hope :)
Comment 96 Sander Lepik 2011-07-02 14:22:15 CEST
Well, on its way to backports, currently in backports_testing..
Comment 97 Manuel Hiebel 2011-07-02 15:26:21 CEST
[root@vosdook ~]# LC_ALL=C urpmi.update 'Nonfree Backports Testing'
medium "Nonfree Backports Testing" is up-to-date

[root@vosdook ~]# LC_ALL=C urpmi --media "Nonfree Backports Testing" get-skype
A requested package cannot be installed:
get-skype-2.2.0.35-17.mga1.nonfree.noarch (due to unsatisfied libqtdbus4)
Continue installation anyway? (Y/n) n

[root@vosdook ~]# LC_ALL=C urpmi libqtdbus4 --test
To satisfy dependencies, the following packages are going to be installed:
(test only, installation will not be actually done)
   Package                        Version      Release       Arch   
(medium "Core 32bit Release")
  libqtcore4                     4.7.3        1.mga1        i586    
  libqtdbus4                     4.7.3        1.mga1        i586    
  libqtxml4                      4.7.3        1.mga1        i586    
3.8MB of additional disk space will be used.
1.4MB of packages will be retrieved.
Proceed with the installation of the 3 packages? (Y/n) y
    $MIRRORLIST: media/../../i586/media/core/release/libqtcore4-4.7.3-1.mga1.i586.rpm
    $MIRRORLIST: media/../../i586/media/core/release/libqtxml4-4.7.3-1.mga1.i586.rpm
    $MIRRORLIST: media/../../i586/media/core/release/libqtdbus4-4.7.3-1.mga1.i586.rpm
installing libqtcore4-4.7.3-1.mga1.i586.rpm libqtdbus4-4.7.3-1.mga1.i586.rpm libqtxml4-4.7.3-1.mga1.i586.rpm from /var/cache/urpmi/rpms
Preparing...                     #############################################
Installation is possible

What is wrong ? core i586 is enable on my x86_64 OS

And thanks :)
Comment 98 Manuel Hiebel 2011-07-02 15:55:33 CEST
Forgot what I said, wrong command.

there is several method:

1) urpmi.update 'Nonfree Backports Testing'
for x86_64 user: urpmi --media "Core 32bit Release","Nonfree Backports Testing" get-skype 

for i586 user urpmi --media "Nonfree Backports Testing" get-skype

2)urpmi http://ftp.mandrivauser.de/mirrors/Mageia/distrib/1/i586/media/nonfree/backports_testing/get-skype-2.2.0.35-17.mga1.nonfree.noarch.rpm

3) urpmi.update --no-ignore 'Nonfree Backports Testing' 
## this will enable the media, so for disable again: --ignore in place of --no-gnore  ##
   urpmi get-skype

Sorry for comment 97 :(
Comment 99 Manuel Hiebel 2011-07-27 17:39:30 CEST
closing or ask qa to test and move in backport ?
Comment 100 Sander Lepik 2011-07-27 17:50:49 CEST
There is still no policy for backports, so we have to wait.
Comment 101 David GEIGER 2011-08-04 09:24:06 CEST
Hello,

Tested the package "get-skype-2.2.0.35-17.mga1.nonfree" on Mageia release 1 (Official) for x86_64 ,for some time already.

Nothing to report, it works perfectly.

CC: (none) => geiger.david68210

Thierry Vignaud 2011-08-04 16:19:21 CEST

CC: (none) => thierry.vignaud
Source RPM: (none) => skype

Comment 102 Florian Hubold 2011-08-04 18:53:13 CEST
I have the first report about skype crashing the computer badly, from the description it's a kernel panic (computer freezes, numlock and capslock blinking).
Maybe it's no wise idea to preload V4L as a default? Or at least make 2 desktop shortcuts, one as a default without and a second with preloading V4L.


Report was in the german Mageia forum, if you need more details then tell me and i'll get them.
Thierry Vignaud 2011-08-04 19:11:51 CEST

CC: thierry.vignaud => (none)

Comment 103 Barry Jackson 2011-08-04 20:33:28 CEST
(In reply to comment #102)

> Report was in the german Mageia forum, if you need more details then tell me
> and i'll get them.

Yes please, I tried to find it but there seems to be a fault in the mageia.de forum search. :
"The following words of your search query were ignored because they occur too often: skype.
You must specify at least one word to be searched. Each word must consist of at least 3 letters and wildcards may not have more than 14 letters." (Google translate)

Thanks.
Comment 104 Florian Hubold 2011-08-04 20:50:37 CEST
Well, that is clearly a bug as skype is longer than 3 letters. And there are not that much posts about skype. I'll report that one after investigation, as it works for the english forum.

Now you need to tell me what information you want, and i'll tell the reporter, as he mangled it with several other problems into one thread, and when he opens up seperate threads, i'll give you the link to the one for skype.

For now i've asked him to run /usr/share/skype/skype to see if that works, but no answer till now.
Comment 105 Barry Jackson 2011-08-04 21:20:19 CEST
(In reply to comment #104)
 
> For now i've asked him to run /usr/share/skype/skype to see if that works, but
> no answer till now.

Probably best to see how that goes before jumping to any conclusions.
A link to the thread would be good though.
Comment 106 Florian Hubold 2011-08-04 22:39:11 CEST
Here's a link to the current, mangled thread, it's in the first post:
https://forums.mageia.org/de/viewtopic.php?f=7&t=210


BTW: Also the search function issue was already fixed by wobo, was just a setting, so no extra bug report needed. Thanks for finding out and telling.
Comment 107 Florian Hubold 2011-08-08 19:25:20 CEST
Here's the new thread:
https://forums.mageia.org/de/viewtopic.php?f=7&t=216
But sadly due to time constraints from the OP no progress with the skype crash.
I'll keep you posted on that one.

But we found out, that for an x86_64 system libalsa-plugins-pulseaudio (i586 package) needs to be added as a require, or there will be no sound.

Could you please add that?
Comment 108 Barry Jackson 2011-08-09 01:25:15 CEST
(In reply to comment #107)
 
> But we found out, that for an x86_64 system libalsa-plugins-pulseaudio (i586
> package) needs to be added as a require, or there will be no sound.
> 
> Could you please add that?

Please see Comment #92 - (I have also asked our P.A. specialist to look at this)
Comment 109 Colin Guthrie 2011-08-09 10:12:40 CEST
I've not read the full plethora of comments on this bug but Skype talks directly to PA, and thus doesn't implicitly *need* the pulseaudio plugin. What definitely *is* required however is the 32 bit version of libpulse (which the 32 bit alsa plugin will pull in as a dep). Obviously, this isn't necessarily the end of the story... Skype *could* be probing alsa devices as well as PA directly in order to get a feel for the full sound setup. It's entirely possible that the missing alsa plugin could cause it problems here.


I've not read the above linked forum posts as my German is sadly limited to ordering beers in bars, but I happened to fix another (possibly related) problem in Phonon yesterday and will push an testing update to Mga1 today with these fixes included. The problem would mean that it became impossible to select different input devices in KDE's system settings GUI for the communications category, thus preventing you using e.g. a USB headset for Skype. As PA has some built in heuristics in this regard, we may have automatically used some devices like this anyway (the automatic switching takes priority over the preferences set in system settings). But all the same it's still a bug!

So if I've missed the point with my comment above, perhaps someone could summarise the problem to me (either here or on IRC) and I'll see what I can do.

CC: (none) => mageia

Comment 110 Florian Hubold 2011-08-09 15:41:29 CEST
Well, the german forum thread basically says, that on a 64bit installation, after installing get-skype, there was no sound. After he installed pulseaudio-module-jack sound began to work.
So there is definitely some dependency missing for get-skype and an installation on an x86_64 system, the questions is which exactly?

Sidenote: pulseaudio-module-jack also pulls in libpulse, so if he installed the i586 pulseaudio-module-jack this would at least explain why sound started working. 

I'll try to get him to provide the exact information which package he installed.
Comment 111 Sander Lepik 2011-08-09 15:45:18 CEST
I don't have pulseaudio-module-jack installed and still sound is working on x86_64.
Comment 112 Florian Hubold 2011-08-09 15:51:23 CEST
Could you check if you have i586 libpulseaudio0 and/or libalsa-plugins-pulseaudio?
I also don't have pulseaudio-module-jack. It's only that he installed it, and as a dependency it also installed libpulseaudio0, as i tried to explain in Comment #110. 

For him it was only coincidence that sound started working after the installation of pulseaudio-module-jack, and that's what he observed as an end-user,as he doesn't now about all those packages and what they are for.
Comment 113 Barry Jackson 2011-08-09 16:25:48 CEST
Yes, I spoke to Colin today and regarding libpulseaudio0 he said :
"IIRC skype tries to dlopen it rather than link directly against it, but yeah, it is pretty much a require for full functionally, so I think the skype package should list it as such, I don't *think* the alsa plugin is mandatory in this case, but I can't test that right now."
Comment 114 Florian Hubold 2011-08-09 17:35:05 CEST
Confirmed, the only added packages on his installation besides pulseaudio-module-jack are:

libalsa-plugins-pulseaudio-1.0.24-1.mga1
libpulseaudio0-0.9.22-5.mga
Comment 115 Florian Hubold 2011-08-20 14:15:41 CEST
(In reply to comment #102)
> I have the first report about skype crashing the computer badly, from the
> description it's a kernel panic (computer freezes, numlock and capslock
> blinking).
> Maybe it's no wise idea to preload V4L as a default? Or at least make 2 desktop
> shortcuts, one as a default without and a second with preloading V4L.


This is the information about the affected webcam, if somebody could try to reproduce on an i586 installation, x86_64 does not seem affected according to the reporter.

$ lspcidrake -v | grep -i video
uvcvideo : Logitech, Inc.|Webcam C600 [Video|Video Control] (vendor:046d device:0808)
Comment 116 Barry Jackson 2011-08-21 11:47:20 CEST
I just tested in a clean mga1 i586 with a uvc camera and there were no issues, but it's not the same uvc camera :-
uvcvideo        : Creative Technology Ltd.|VF0700 Live! Cam Chat HD [Video|Video Control] (vendor:041e device:4088)
Comment 117 Florian Hubold 2011-09-09 17:06:04 CEST
May i ask why a Requires on libpulseaudio0 (i586 package) still hasn't been added to get-skype? Another reporter just confirmed, that on a fresh x86_64 install he had to install it manually to get sound working.
Comment 118 Sander Lepik 2011-09-10 10:14:09 CEST
libpulseaudio0 added.

Still waiting for backports to open.
Comment 119 Chih Wei Yao 2011-09-12 11:30:22 CEST
Today I tried to install it in the cauldron, but it complains about unsatisfied dependency of libqtdus4, a 32-bit version library...

CC: (none) => elegant.pegasus

Comment 120 Sander Lepik 2011-09-12 11:39:53 CEST
(In reply to comment #119)
> Today I tried to install it in the cauldron, but it complains about unsatisfied
> dependency of libqtdus4, a 32-bit version library...

libqtdbus4 is in the Core Release repository (32-bit). I don't understand your problem..
Comment 121 Florian Hubold 2011-09-12 12:35:33 CEST
Seems it's not obvious to everyone that Skype itself is a 32bit-only binary which needs 32bit  compatibility libraries. Maybe that should be added to the description, because when someone who has not configured 32bit repositories, installation will silently fail, as you see.
Comment 122 Samuel Verschelde 2011-09-12 12:42:05 CEST
(In reply to comment #121)
> Seems it's not obvious to everyone that Skype itself is a 32bit-only binary
> which needs 32bit  compatibility libraries. Maybe that should be added to the
> description, because when someone who has not configured 32bit repositories,
> installation will silently fail, as you see.

I think so.
Comment 123 Chih Wei Yao 2011-09-12 12:44:50 CEST
I got it...My Cauldron box is pure 64-bit system. Adding the description of 32-bit libraries is needed would make it much clear.
Comment 124 Pierre Bonneau 2011-09-12 13:22:25 CEST
maybe I'm wrong, but if skype is a 32bits only software, why is it in 64 repositories ? It should be in 32 bits repos and available only to people who add them.
Would be easier for users no ?

Why put a software in 64 systems if he worked only with 32 bits library
Comment 125 Pierre Bonneau 2011-09-12 13:25:07 CEST
BTW, 7 month to add skype to mageia, it's very slow. The packagfe works fine for 32 bits for 3 or 4 months... it should be on backport, maybe tainted since that point. 

Makes no sence to never release it and to ask people to come here to download it.
Comment 126 Sander Lepik 2011-09-12 13:28:00 CEST
(In reply to comment #124)
> maybe I'm wrong, but if skype is a 32bits only software, why is it in 64
> repositories ? It should be in 32 bits repos and available only to people who
> add them.
> Would be easier for users no ?
> 
> Why put a software in 64 systems if he worked only with 32 bits library

I think it's already discussed in this bug as well but as Skype is nonfree and 32-bit nonfree repos are not enabled (by default) for 64-bit version then users won't have option to install Skype at all. And that is not what we want.

32-bit Core repos are enabled for 64-bit version by default. If user disables them then (s)he should know what (s)he's doing. Or not?
Comment 127 Sander Lepik 2011-09-12 13:28:43 CEST
(In reply to comment #125)
> BTW, 7 month to add skype to mageia, it's very slow. The packagfe works fine
> for 32 bits for 3 or 4 months... it should be on backport, maybe tainted since
> that point. 
> 
> Makes no sence to never release it and to ask people to come here to download
> it.

Backports are still not open, so i can't do nothing about it.
Comment 128 Yves Gaël Chény 2012-01-06 11:04:27 CET
After test on a Mageia Cauldron , fresh desktop install for build rpm with kde4 x64, i feel we should add libxrandr2 and libxi6 

regards
yg

CC: (none) => yves

Comment 129 Sander Lepik 2012-01-07 13:52:26 CET
(In reply to comment #128)
> After test on a Mageia Cauldron , fresh desktop install for build rpm with kde4
> x64, i feel we should add libxrandr2 and libxi6 
> 
> regards
> yg

At the moment i won't add them as i fail to reproduce. I need more info (install medium, etc) to reproduce.
Comment 130 Yves Gaël Chény 2012-01-07 13:59:41 CET
If you make a ldd , you get :
[root@localhost skype_static-2.2.0.35]# ldd skype
        linux-gate.so.1 =>  (0xffffe000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0xf7681000)
        libXv.so.1 => /usr/lib/libXv.so.1 (0xf767b000)
        libXss.so.1 => /usr/lib/libXss.so.1 (0xf7677000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0xf766e000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xf7653000)
        libXi.so.6 => /usr/lib/libXi.so.6 (0xf7643000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xf7638000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xf762f000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xf75a5000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xf756e000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xf755b000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xf7420000)
        libz.so.1 => /lib/libz.so.1 (0xf740a000)
        libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0xf7407000)
        libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xf7311000)
        librt.so.1 => /lib/librt.so.1 (0xf7307000)
        libdl.so.2 => /lib/libdl.so.2 (0xf7302000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xf72e8000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xf7203000)
        libm.so.6 => /lib/libm.so.6 (0xf71d9000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xf71be000)
        libc.so.6 => /lib/libc.so.6 (0xf7040000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xf6ef2000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xf6ed2000)
        libpcre.so.0 => /lib/libpcre.so.0 (0xf6e94000)
        /lib/ld-linux.so.2 (0xf7791000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xf6e90000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xf6e88000

So, all .so are dependencies for skype , you can see in :
libXrandr.so.2 and libXi.so.6
So , you should add them into your dependencies and all over rpm that gives the over.so .

++
Hm
Comment 131 Yves Gaël Chény 2012-01-07 14:04:38 CET
I looks like i haven't make the ldd with the good skype version, so forget my last past ;)
Dan Joita 2012-02-24 21:51:27 CET

CC: (none) => djmarian4u
Summary: Add Skype to distro => skype, p2p VoIP application

Comment 132 David GEIGER 2012-03-18 14:37:59 CET
Why the package get-skype isn't present in Repo Nonfree_Release_x86_64 for Mageia 2 (cauldron),while it is present in Repo Nonfree_Release i586 ?
Comment 133 Sander Lepik 2012-03-18 14:50:17 CET
(In reply to comment #132)
> Why the package get-skype isn't present in Repo Nonfree_Release_x86_64 for
> Mageia 2 (cauldron),while it is present in Repo Nonfree_Release i586 ?

You can ask that from Kamil: https://bugs.mageia.org/show_bug.cgi?id=4993
Manuel Hiebel 2012-04-26 20:00:58 CEST

Severity: normal => enhancement

Comment 134 Barry Jackson 2012-05-11 11:48:04 CEST
Since the package is now working and reverted to it's original repos I think this bug can finally be closed as RESOLVED.

It will be available in Mageia 2.

Thanks to everyone who contributed :)

Status: ASSIGNED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.